%{?mingw_package_header}

%define build_experimental	0
%define build_amrwb	0
%define build_faac	0
%define build_faad	0
%define build_xvid	0
%define build_dts	0
%define build_dirac	0
%define build_gme	1
%define build_x265	0
%define build_voamrwbenc 0
%define build_voaacenc 0

%if "%{?distro_section}" == "tainted"
%define build_amrwb	0
%define build_faac	0
%define build_faad	1
%define build_xvid	0
%define build_dts	1
%define build_x265	1
%define build_voamrwbenc 1
%define build_voaacenc 1
%endif

%global	gstreamer	gstreamer
%global         api_version     1.0
%global	gstreamer_version %{version}

Summary:	Cross compiled GStreamer plug-ins "bad"
Name:		mingw-gstreamer-plugins-bad-free
Version:	1.22.6
Release:	%mkrel 1
Group:		Development/Other
License:	LGPLv2+ and LGPLv2
URL:		https://gstreamer.freedesktop.org/
Source:		https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:  meson
BuildRequires:  orc

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:	mingw32-gstreamer >= %{gstreamer_version}
BuildRequires:	mingw64-gstreamer >= %{gstreamer_version}
BuildRequires:	mingw32-gstreamer-plugins-base >= %{gstreamer_version}
BuildRequires:	mingw64-gstreamer-plugins-base >= %{gstreamer_version}
BuildRequires:	mingw32-bzip2
BuildRequires:	mingw64-bzip2
BuildRequires:	mingw32-gettext
BuildRequires:	mingw64-gettext
BuildRequires:	mingw32-orc
BuildRequires:	mingw64-orc
BuildRequires:	mingw32-winpthreads
BuildRequires:	mingw64-winpthreads
BuildRequires:	mingw32-SDL
BuildRequires:	mingw64-SDL
BuildRequires:	mingw32-jasper
BuildRequires:	mingw64-jasper
BuildRequires:	mingw32-libgcrypt
BuildRequires:	mingw64-libgcrypt


# For glib-genmarshal
BuildRequires:	glib2-devel


%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


# Mingw32
%package -n mingw32-gstreamer-plugins-bad-free
Summary:	%{summary}
Requires:	mingw32-gstreamer >= %{gstreamer_version}

%description -n mingw32-gstreamer-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


# Mingw64
%package -n mingw64-gstreamer-plugins-bad-free
Summary:	%{summary}
Requires:	mingw64-gstreamer >= %{gstreamer_version}

%description -n mingw64-gstreamer-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gst-plugins-bad-%{version}

%build
%mingw_meson                                                            \
    -Dpackage-name='%{_vendor} MinGW GStreamer-plugins-bad package'    \
    -Dpackage-origin='http://www.%{_real_vendor}.org/'                  \
    -D doc=disabled \
    -D orc=enabled \
    -D tests=disabled \
    -D examples=disabled

%mingw_ninja


%install
%mingw_ninja_install

# Clean out files that should not be part of the rpm.
rm -f %{buildroot}%{mingw32_libdir}/*.la
rm -f %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/*.la
rm -f %{buildroot}%{mingw64_libdir}/*.la
rm -f %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/*.la
rm -f %{buildroot}%{mingw32_libdir}/*%{api_version}.a
rm -f %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/*.a
rm -f %{buildroot}%{mingw64_libdir}/*%{api_version}.a
rm -f %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/*.a
rm -rf %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/include
rm -rf %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/include

%mingw_find_lang gstreamer-plugins-bad-free --all-name


# Mingw32
%files -n mingw32-gstreamer-plugins-bad-free -f mingw32-gstreamer-plugins-bad-free.lang
%doc AUTHORS COPYING README.md REQUIREMENTS

%{mingw32_bindir}/gst-transcoder-1.0.exe
%{mingw32_datadir}/gstreamer-%{api_version}/encoding-profiles/

# libraries
%{mingw32_bindir}/libgst*-%{api_version}-0.dll

# bad plugins
%{mingw32_libdir}/gstreamer-%{api_version}/libgst*.dll

# %files devel
# plugin helper library headers
%dir %{mingw32_includedir}/gstreamer-%{api_version}/gst/interfaces
%{mingw32_includedir}/gstreamer-%{api_version}/gst/*/*.h


%{mingw32_libdir}/libgst*-%{api_version}.dll.a

%{mingw32_libdir}/pkgconfig/gstreamer-*.pc
%{mingw32_datadir}/gstreamer-%{api_version}/presets/*.prs

# Mingw64
%files -n mingw64-gstreamer-plugins-bad-free -f mingw64-gstreamer-plugins-bad-free.lang
%doc AUTHORS COPYING README.md REQUIREMENTS

%{mingw64_bindir}/gst-transcoder-1.0.exe
%{mingw64_datadir}/gstreamer-%{api_version}/encoding-profiles

# libraries
%{mingw64_bindir}/libgst*-%{api_version}-0.dll

# bad plugins
%{mingw64_libdir}/gstreamer-%{api_version}/libgst*.dll

# %files devel
# plugin helper library headers
%dir %{mingw64_includedir}/gstreamer-%{api_version}/gst/interfaces
%{mingw64_includedir}/gstreamer-%{api_version}/gst/*/*.h

%{mingw64_libdir}/libgst*-%{api_version}.dll.a

%{mingw64_libdir}/pkgconfig/*-%{api_version}.pc
%{mingw64_datadir}/gstreamer-%{api_version}/presets/*.prs




%changelog
* Wed Sep 27 2023 tv <tv> 1.22.6-1.mga10
+ Revision: 1991590
- Update to 1.22.6

* Wed Jan 25 2023 daviddavid <daviddavid> 1.22.0-1.mga9
+ Revision: 1935960
- new version: 1.22.0

* Fri Dec 30 2022 daviddavid <daviddavid> 1.20.5-1.mga9
+ Revision: 1928270
- new version: 1.20.5

* Tue Nov 15 2022 tv <tv> 1.20.4-1.mga9
+ Revision: 1907443
- Update to 1.20.4

* Fri Jul 22 2022 tv <tv> 1.20.3-1.mga9
+ Revision: 1870120
- Update to 1.20.3

* Thu Apr 07 2022 tv <tv> 1.20.0-1.mga9
+ Revision: 1847437
- Drop unsupported meson options
- Update to 1.20.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Apr 06 2021 daviddavid <daviddavid> 1.18.4-1.mga9
+ Revision: 1713789
- new version: 1.18.4

* Tue Dec 15 2020 daviddavid <daviddavid> 1.18.2-1.mga8
+ Revision: 1657705
- new version: 1.18.2

* Tue Sep 29 2020 tv <tv> 1.18.0-1.mga8
+ Revision: 1631160
- 1.18.0
- use %%buildroot + rename variable

* Fri Sep 11 2020 tv <tv> 1.16.2-2.mga8
+ Revision: 1624549
- fix build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464332
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445541
- new version 1.16.1

* Thu Aug 29 2019 daviddavid <daviddavid> 1.16.0-2.mga8
+ Revision: 1434977
- rebuild for new mingw-jasper 2.0.14

* Fri Apr 26 2019 daviddavid <daviddavid> 1.16.0-1.mga7
+ Revision: 1395503
- new version: 1.16.0
- disable sctp plugin as it fails to build

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317559
- new version 1.14.4

* Thu Sep 20 2018 umeabot <umeabot> 1.14.3-2.mga7
+ Revision: 1279728
- Mageia 7 Mass Rebuild

* Mon Sep 17 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259428
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244483
- new version: 1.14.2

* Tue Jul 17 2018 daviddavid <daviddavid> 1.14.1-1.mga7
+ Revision: 1244040
- new version: 1.14.1

* Wed Jan 10 2018 mokraemer <mokraemer> 1.12.4-1.mga7
+ Revision: 1192015
- updated mingw gstreamer to 1.12

* Thu Feb 04 2016 umeabot <umeabot> 0.10.23-13.mga6
+ Revision: 934394
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.23-12.mga5
+ Revision: 741922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.23-11.mga5
+ Revision: 682447
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 0.10.23-10.mga4
+ Revision: 483914
- imported package mingw-gstreamer-plugins-bad-free

